ARMA
           ARMA Net           製品とサポート           通信販売           会社概要           求人情報       
ARMA 3.0

ARMA 3.0 マニュアル

プレインストール PC

個人・小規模サイト
向けサポート
(パッケージ付属)


よくいただくお問い
合わせについて


対応ハードウェア情報

法人向け各種サービス

OSA-2005-41
 
 
1 サマリ
 
 
対象システム
ARMA2.0,ARMA2.1,ARMA2.2
パッケージ
ppxp
概要
一般ユーザーによるroot権限取得の可能性
危険度
2
 
 
 
2 詳細
 
 PPP 接続プログラムである PPxP にセキュリティ脆弱性が指摘されています。この問題は root 権限を適切に変更していないために、悪意のあるユーザーが root 権限を得る可能性がある、という問題です。この問題についての詳細は以下を参照してください。
 
「CAN-2005-0392」 Common Vulnerabilities and Exposures
 
 
 アップデート後の ppxp のバージョンは 0.2001080415-8o101 に上がります。
 
 
3 対処方法
 
 root になり以下のようにアップデートをおこなってください。
 
 
# apt-get update
# apt-get install ppxp
 
 
 また PPP が不要のホストの場合は、ppxp パッケージを削除していただいても問題ありません。その場合は以下のようにおこなってください。
 
 
# apt-get remove ppxp
 

COPYRIGHT (C)2018, オモイカネ株式会社 (Omoikane Inc.)
E-mail: info@omoikane.co.jp